# Uses of Enum
org.apache.wiki.preferences.Preferences.TimeFormat

Packages that use Preferences.TimeFormat
Package
Description
org.apache.wiki.preferences
Preferences storage.

## Uses of Preferences.TimeFormat in org.apache.wiki.preferences

Methods in org.apache.wiki.preferences that return Preferences.TimeFormat
Modifier and Type
Method
Description
`static Preferences.TimeFormat`
Preferences.TimeFormat.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Preferences.TimeFormat[]`
Preferences.TimeFormat.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.wiki.preferences with parameters of type Preferences.TimeFormat
Modifier and Type
Method
Description
`static SimpleDateFormat`
Preferences.`getDateFormat(Context context, Preferences.TimeFormat tf)`
Get SimpleTimeFormat according to user browser locale and preferred time formats.
`static String`
Preferences.`renderDate(Context context, Date date, Preferences.TimeFormat tf)`
A simple helper function to render a date based on the user preferences.